ReadCommand.SelectionDeserializer (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db

## Class ReadCommand.SelectionDeserializer

- java.lang.Object
- - org.apache.cassandra.db.ReadCommand.SelectionDeserializer

- Enclosing class:
    ReadCommand

      protected abstract static class ReadCommand.SelectionDeserializer
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SelectionDeserializer()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ReadCommand` | `deserialize(DataInputPlus in, int version, boolean isDigest, int digestVersion, boolean isForThrift, CFMetaData metadata, int nowInSec, ColumnFilter columnFilter, RowFilter rowFilter, DataLimits limits, IndexMetadata index)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectionDeserializer

          protected SelectionDeserializer()

  - ### Method Detail

    - #### deserialize

          public abstract ReadCommand deserialize(DataInputPlus in,
                                                  int version,
                                                  boolean isDigest,
                                                  int digestVersion,
                                                  boolean isForThrift,
                                                  CFMetaData metadata,
                                                  int nowInSec,
                                                  ColumnFilter columnFilter,
                                                  RowFilter rowFilter,
                                                  DataLimits limits,
                                                  IndexMetadata index)
                                           throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation